org.apache.lucene.index

## Class FieldFilterLeafReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.LeafReader
    - - org.apache.lucene.index.FilterLeafReader
      - - org.apache.lucene.index.FieldFilterLeafReader

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class FieldFilterLeafReader
    extends FilterLeafReader

A `FilterLeafReader` that exposes only a subset of fields from the underlying wrapped reader.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.index.FilterLeafReader

`FilterLeafReader.FilterFields, FilterLeafReader.FilterPostingsEnum, FilterLeafReader.FilterTerms, FilterLeafReader.FilterTermsEnum`

### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

`IndexReader.CacheHelper, IndexReader.CacheKey, IndexReader.ClosedListener`

### Field Summary

### Fields inherited from class org.apache.lucene.index.FilterLeafReader

`in`

### Constructor Summary

Constructors
Constructor and Description
`FieldFilterLeafReader(LeafReader in, Set<String> fields, boolean negate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `document(int docID, StoredFieldVisitor visitor)`
`BinaryDocValues` `getBinaryDocValues(String field)`
`IndexReader.CacheHelper` `getCoreCacheHelper()`
`FieldInfos` `getFieldInfos()`
`NumericDocValues` `getNormValues(String field)`
`IndexReader.CacheHelper` `getReaderCacheHelper()`
`SortedDocValues` `getSortedDocValues(String field)`
`SortedNumericDocValues` `getSortedNumericDocValues(String field)`
`SortedSetDocValues` `getSortedSetDocValues(String field)`
`Fields` `getTermVectors(int docID)`
`Terms` `terms(String field)`
`String` `toString()`

### Methods inherited from class org.apache.lucene.index.FilterLeafReader

`checkIntegrity, doClose, getDelegate, getLiveDocs, getMetaData, getNumericDocValues, getPointValues, maxDoc, numDocs, unwrap`

### Methods inherited from class org.apache.lucene.index.LeafReader

`docFreq, getContext, getDocCount, getSumDocFreq, getSumTotalTermFreq, postings, postings, totalTermFreq`

### Methods inherited from class org.apache.lucene.index.IndexReader

`close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, tryIncRef`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldFilterLeafReader

    public FieldFilterLeafReader(LeafReader in,
                                 Set<String> fields,
                                 boolean negate)

### Method Detail

#### getFieldInfos

    public FieldInfos getFieldInfos()

Overrides:
  `getFieldInfos` in class `FilterLeafReader`

#### getTermVectors

    public Fields getTermVectors(int docID)
                          throws IOException

Overrides:
  `getTermVectors` in class `FilterLeafReader`
Throws:
  `IOException`

#### document

    public void document(int docID,
                         StoredFieldVisitor visitor)
                  throws IOException

Overrides:
  `document` in class `FilterLeafReader`
Throws:
  `IOException`

#### terms

    public Terms terms(String field)
                throws IOException

Overrides:
  `terms` in class `FilterLeafReader`
Throws:
  `IOException`

#### getBinaryDocValues

    public BinaryDocValues getBinaryDocValues(String field)
                                       throws IOException

Overrides:
  `getBinaryDocValues` in class `FilterLeafReader`
Throws:
  `IOException`

#### getSortedDocValues

    public SortedDocValues getSortedDocValues(String field)
                                       throws IOException

Overrides:
  `getSortedDocValues` in class `FilterLeafReader`
Throws:
  `IOException`

#### getSortedNumericDocValues

    public SortedNumericDocValues getSortedNumericDocValues(String field)
                                                     throws IOException

Overrides:
  `getSortedNumericDocValues` in class `FilterLeafReader`
Throws:
  `IOException`

#### getSortedSetDocValues

    public SortedSetDocValues getSortedSetDocValues(String field)
                                             throws IOException

Overrides:
  `getSortedSetDocValues` in class `FilterLeafReader`
Throws:
  `IOException`

#### getNormValues

    public NumericDocValues getNormValues(String field)
                                   throws IOException

Overrides:
  `getNormValues` in class `FilterLeafReader`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `FilterLeafReader`

#### getCoreCacheHelper

    public IndexReader.CacheHelper getCoreCacheHelper()

Specified by:
  `getCoreCacheHelper` in class `LeafReader`

#### getReaderCacheHelper

    public IndexReader.CacheHelper getReaderCacheHelper()

Specified by:
  `getReaderCacheHelper` in class `IndexReader`